Skip to main content
Update the existing alert (completely replace the previous version)

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

id
string
required

Alert identifier

Body

application/vnd.composer.v3+json

Alert update request

name
string
required

Alert name

Maximum string length: 255
Example:

"Alert name"

schedule
object
required

Schedule of the alert's condition checks

condition
object
required

Alert's condition

notification
object
required

Alert's notification configuration

id
string

Alert id (optional)

dashboards
object[]

Dashboards

description
string

Alert description

Maximum string length: 255
Example:

"Alert description"

enabled
boolean

Whether the alert is enabled

notification
object

Response

The alert was updated successfully

Defines the Alert object

id
string

Alert id

Example:

99999

name
string

Alert name

Example:

"Alert name"

description
string

Alert description

Example:

"Alert description"

enabled
boolean

Whether the alert is enabled

referencedSource
object

Source used for the alert condition

dashboards
object[]

Dashboards assigned to the alert

creatingUserName
string

User who originally created the alert

createdDate
string<date-time>

When the alert was originally created

lastModifiedDate
string<date-time>

When the alert was last modified

schedule
object

Schedule of the alert's condition checks

condition
object

Alert's condition

notification
object

Alert's notification configuration